Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.type1
Class AFMWritingDirectionMetrics

    java.lang.Object
      org.apache.fop.fonts.type1.AFMWritingDirectionMetrics

    public class AFMWritingDirectionMetrics

extends java.lang.Object

Represents a writing direction metrics section from an AFM file.

Constructor Summary
`AFMWritingDirectionMetrics()`

Method Summary
`double` | `getItalicAngle()` Returns the ItalicAngle value.
`java.lang.Number` | `getUnderlinePosition()` Returns the UnderlinePosition value.
`java.lang.Number` | `getUnderlineThickness()` Returns the UnderlineThickness value.
`boolean` | `isFixedPitch()` Returns the IsFixedPitch value.
`void` | `setFixedPitch(boolean value)` Set the IsFixedPitch value.
`void` | `setItalicAngle(double italicAngle)` Sets the ItalicAngle value.
`void` | `setUnderlinePosition(java.lang.Number underlinePosition)` Sets the UnderlinePosition value.
`void` | `setUnderlineThickness(java.lang.Number underlineThickness)` Sets the UnderlineThickness value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFMWritingDirectionMetrics

    public AFMWritingDirectionMetrics()

Method Detail

### getUnderlinePosition

    public java.lang.Number getUnderlinePosition()

  Returns the UnderlinePosition value.

  Returns:
    the underlinePosition

### setUnderlinePosition

    public void setUnderlinePosition(java.lang.Number underlinePosition)

  Sets the UnderlinePosition value.

  Parameters:
    `underlinePosition` - the underlinePosition to set

### getUnderlineThickness

    public java.lang.Number getUnderlineThickness()

  Returns the UnderlineThickness value.

  Returns:
    the underlineThickness

### setUnderlineThickness

    public void setUnderlineThickness(java.lang.Number underlineThickness)

  Sets the UnderlineThickness value.

  Parameters:
    `underlineThickness` - the underlineThickness to set

### getItalicAngle

    public double getItalicAngle()

  Returns the ItalicAngle value.

  Returns:
    the italicAngle

### setItalicAngle

    public void setItalicAngle(double italicAngle)

  Sets the ItalicAngle value.

  Parameters:
    `italicAngle` - the italicAngle to set

### isFixedPitch

    public boolean isFixedPitch()

  Returns the IsFixedPitch value.

  Returns:
    the isFixedPitch

### setFixedPitch

    public void setFixedPitch(boolean value)

  Set the IsFixedPitch value.

  Parameters:
    `value` - the isFixedPitch to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.